[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

X Strike Force X.Org X11 SVN commit: r1179 - branches/modular/debian/xorg/debian



Author: dnusinow
Date: 2006-02-08 21:09:24 -0500 (Wed, 08 Feb 2006)
New Revision: 1179

Removed:
   branches/modular/debian/xorg/debian/shell-lib.sh
Modified:
   branches/modular/debian/xorg/debian/changelog
   branches/modular/debian/xorg/debian/rules
Log:
* Convert to xsfbs
  + shell-lib.sh deleted in favor of xsfbs/xsfbs.sh
  + use targets for script generation and such from xsfbs/xsfbs.mk


Modified: branches/modular/debian/xorg/debian/changelog
===================================================================
--- branches/modular/debian/xorg/debian/changelog	2006-02-09 02:02:19 UTC (rev 1178)
+++ branches/modular/debian/xorg/debian/changelog	2006-02-09 02:09:24 UTC (rev 1179)
@@ -3,8 +3,11 @@
   * First upload to Debian
   * Remove xbase-clients and xutils metapackages. We're just bundling the apps
     in to one big source package right now
+  * Convert to xsfbs
+    + shell-lib.sh deleted in favor of xsfbs/xsfbs.sh
+    + use targets for script generation and such from xsfbs/xsfbs.mk
 
- -- David Nusinow <dnusinow@debian.org>  Wed,  8 Feb 2006 20:55:32 -0500
+ -- David Nusinow <dnusinow@debian.org>  Wed,  8 Feb 2006 21:06:11 -0500
 
 xorg (7.0.0-0ubuntu14) dapper; urgency=low
 

Modified: branches/modular/debian/xorg/debian/rules
===================================================================
--- branches/modular/debian/xorg/debian/rules	2006-02-09 02:02:19 UTC (rev 1178)
+++ branches/modular/debian/xorg/debian/rules	2006-02-09 02:09:24 UTC (rev 1179)
@@ -6,6 +6,7 @@
 # Modified by Branden Robinson <branden@debian.org>
 # Modified by Fabio Massimo Di Nitto <fabbione@fabbione.net>
 # Modified by Daniel Stone <daniel.stone@ubuntu.com>
+# Modified by David Nusinow <dnusinow@debian.org>
 # Copyright 1996--2005 Software in the Public Interest, Inc.
 # Licensed under the GNU General Public License, version 2.  See the file
 # /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
@@ -17,6 +18,8 @@
 # latest ABI is 7.0 final
 SERVERABIBUMP = 7.0.0
 
+include debian/xsfbs/xsfbs.mk
+
 # Get package version info.
 SOURCE_VERSION:=$(shell dpkg-parsechangelog -ldebian/changelog | grep '^Version:' | awk '{print $$2}')
 
@@ -42,10 +45,6 @@
 
 SCRIPTS=$(shell ls debian/*.config.in debian/*.postinst.in debian/*.postrm.in debian/*.preinst.in debian/*.prerm.in)
 
-cleanscripts:
-	rm -f debian/*.config debian/*.postinst debian/*.postrm debian/*.preinst debian/*.prerm
-	rm -f stamp-scripts stamp-genscripts stamp-validatescripts
-
 scripts: stamp-scripts
 stamp-scripts: genscripts validatescripts
 	touch $@
@@ -55,35 +54,6 @@
 	sh debian/scripts/validate-posix-sh $<
 	touch $@
 
-genscripts: stamp-genscripts
-stamp-genscripts: $(SCRIPTS)
-	for FILE in $(SCRIPTS); do \
-	  if [ -e "$$FILE" ]; then \
-	    MAINTSCRIPT=$$(echo $$FILE | sed 's/.in$$//'); \
-	    if egrep -q '^#INCLUDE_SHELL_LIB#$$' $$FILE; then \
-	      sed -n '1,/^#INCLUDE_SHELL_LIB#$$/p' < $$FILE | sed -e '/^#INCLUDE_SHELL_LIB#$$/d' > $$MAINTSCRIPT.tmp; \
-	      cat debian/shell-lib.sh >> $$MAINTSCRIPT.tmp; \
-	      sed -n '/^#INCLUDE_SHELL_LIB#$$/,$$p' < $$FILE | sed -e '/^#INCLUDE_SHELL_LIB#$$/d' >> $$MAINTSCRIPT.tmp; \
-	    else \
-	      cp $$FILE $$MAINTSCRIPT.tmp; \
-	    fi; \
-	    sed -e 's/@SOURCE_VERSION@/$(SOURCE_VERSION)/' < $$MAINTSCRIPT.tmp > $$MAINTSCRIPT; \
-	    rm $$MAINTSCRIPT.tmp; \
-	    sh debian/scripts/validate-posix-sh $$MAINTSCRIPT; \
-	  fi; \
-	done
-	touch $@
-
-# Generate the debconf templates POT file header.
-debian/po/pothead: debian/po/pothead.in
-	sed -e 's/SOURCE_VERSION/$(SOURCE_VERSION)/' \
-	  -e 's/DATE/$(shell date "+%F %X%z"/)' \
-	  <debian/po/pothead.in >$@
-
-# Update POT and PO files.
-updatepo: debian/po/pothead
-	debian/scripts/debconf-updatepo --pot-header=pothead --verbose
-
 build: stamp-build
 stamp-build: stamp-scripts
 	dh_testdir

Deleted: branches/modular/debian/xorg/debian/shell-lib.sh
===================================================================
--- branches/modular/debian/xorg/debian/shell-lib.sh	2006-02-09 02:02:19 UTC (rev 1178)
+++ branches/modular/debian/xorg/debian/shell-lib.sh	2006-02-09 02:09:24 UTC (rev 1179)
@@ -1,129 +0,0 @@
-SOURCE_VERSION=@SOURCE_VERSION@
-
-# Use special abnormal exit codes so that problems with this library are more
-# easily tracked down.
-SHELL_LIB_INTERNAL_ERROR=86
-SHELL_LIB_THROWN_ERROR=74
-SHELL_LIB_USAGE_ERROR=99
-
-THIS_PACKAGE=${THIS_PACKAGE:-"(unknown package)"}
-THIS_SCRIPT=${THIS_SCRIPT:-"(unknown script)"}
-
-ARCHITECTURE="$(dpkg --print-installation-architecture)"
-
-if laptop-detect >/dev/null; then
-    LAPTOP=true
-fi
-
-if [ "$1" = "reconfigure" ] || [ -n "$DEBCONF_RECONFIGURE" ]; then
-  RECONFIGURE="true"
-else
-  RECONFIGURE=
-fi
-
-if ([ "$1" = "install" ] || [ "$1" = "configure" ]) && [ -z "$2" ]; then
-  FIRSTINST="yes"
-fi
-
-if [ -z "$RECONFIGURE" ] && [ -z "$FIRSTINST" ]; then
-  UPGRADE="yes"
-fi
-
-trap "message;\
-      message \"Received signal.  Aborting $THIS_PACKAGE package $THIS_SCRIPT script.\";\
-      message;\
-      exit 1" HUP INT QUIT TERM
-
-reject_nondigits () {
-  # syntax: reject_nondigits [ operand ... ]
-  #
-  # scan operands (typically shell variables whose values cannot be trusted) for
-  # characters other than decimal digits and barf if any are found
-  while [ -n "$1" ]; do
-    # does the operand contain anything but digits?
-    if ! expr "$1" : "[[:digit:]]\+$" > /dev/null 2>&1; then
-      # can't use die(), because it wraps message() which wraps this function
-      echo "$THIS_PACKAGE $THIS_SCRIPT error: reject_nondigits() encountered" \
-           "possibly malicious garbage \"$1\"" >&2
-      exit $SHELL_LIB_THROWN_ERROR
-    fi
-    shift
-  done
-}
-
-# Query the terminal to establish a default number of columns to use for
-# displaying messages to the user.  This is used only as a fallback in the
-# event the COLUMNS variable is not set.  ($COLUMNS can react to SIGWINCH while
-# the script is running, and this cannot, only being calculated once.)
-DEFCOLUMNS=$(stty size 2> /dev/null | awk '{print $2}') || true
-if ! expr "$DEFCOLUMNS" : "[[:digit:]]\+$" > /dev/null 2>&1; then
-  DEFCOLUMNS=80
-fi
-
-message () {
-  # pretty-print messages of arbitrary length
-  reject_nondigits "$COLUMNS"
-  echo "$*" | fmt -t -w ${COLUMNS:-$DEFCOLUMNS} >&2
-}
-
-observe () {
-  # syntax: observe message ...
-  #
-  # issue observational message suitable for logging someday when support for
-  # it exists in dpkg
-  if [ -n "$DEBUG_XORG_PACKAGE" ]; then
-    message "$THIS_PACKAGE $THIS_SCRIPT note: $*"
-  fi
-}
-
-warn () {
-  # syntax: warn message ...
-  #
-  # issue warning message suitable for logging someday when support for
-  # it exists in dpkg; also send to standard error
-  message "$THIS_PACKAGE $THIS_SCRIPT warning: $*"
-}
-
-die () {
-  # syntax: die message ...
-  #
-  # exit script with error message
-  message "$THIS_PACKAGE $THIS_SCRIPT error: $*"
-  exit $SHELL_LIB_THROWN_ERROR
-}
-
-internal_error () {
-  # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
-  message "$THIS_PACKAGE $THIS_SCRIPT internal error: $*"
-  exit $SHELL_LIB_INTERNAL_ERROR
-}
-
-usage_error () {
-  message "$THIS_PACKAGE $THIS_SCRIPT usage error: $*"
-  exit $SHELL_LIB_USAGE_ERROR
-}
-
-run () {
-  # syntax: run command [ argument ... ]
-  #
-  # Run specified command with optional arguments and report its exit status.
-  # Useful for commands whose exit status may be nonzero, but still acceptable,
-  # or commands whose failure is not fatal to us.
-  #
-  # NOTE: Do *not* use this function with db_get or db_metaget commands; in
-  # those cases the return value of the debconf command *must* be checked
-  # before the string returned by debconf is used for anything.
-
-  # validate arguments
-  if [ $# -lt 1 ]; then
-    usage_error "run() called with wrong number of arguments; expected at" \
-                "least 1, got $#"
-    exit $SHELL_LIB_USAGE_ERROR
-  fi
-
-  "$@" || _retval=$?
-
-  if [ ${_retval:-0} -ne 0 ]; then
-    observe "command \"$*\" exited with status $_retval"
-  fi
-}



Reply to: